/**
 * Opcjonalne nazwane argumenty funkcji
 */
sayHello(String name, {String additionalMessage}) => "Hello $name. $additionalMessage";

void main() {
  print(sayHello('my friend')); // To jest ciągle opcjonalne, wyświetla: Hello my friend. null
  print(sayHello('my friend', additionalMessage: "How are you?")); // wyświetla: Hello my friend. How are you?
}
